(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/ja_JP/sdk.js";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));

window.fbAsyncInit = function() {
	console.log('fbAsyncInit');
	FB.init({
		appId	   : '1673753786205066',
		cookie	 : true,  // enable cookies to allow the server to access 
							// the session
		xfbml	   : true,	// parse social plugins on this page
		version	   : 'v2.8' // use version
	});
	if (g_fb) {
		g_fb.checkLoginStatus();
	} else {
		console.log("g_fb is null");
	}
};

function Facebook() {
	var m_logInController = null;
	
	this.init = function (logInController) {
		console.log('facebook.init');
		m_logInController = logInController;
	};
	
	this.checkLoginStatus = function() {
	  FB.getLoginStatus(function(response) {
		statusChangeCallback(response);
	  });
	}

	function statusChangeCallback(response) {
		console.log('statusChangeCallback');
		console.log(response);
		// The response object is returned with a status field that lets the
		// app know the current login status of the person.
		// Full docs on the response object can be found in the documentation
		// for FB.getLoginStatus().
		if (response.status === 'connected') {
			// Logged into your app and Facebook.
			console.log('Welcome!  Fetching your information.... ');
			FB.api('/me', function(response) {
				console.log('Successful login for: ' + response.name);
				document.getElementById('fb_status').innerHTML =
					'Thanks for logging in, ' + response.name + '!';
			});
	
			// Check if the user logged in successfully.
			if (m_logInController) {
				m_logInController.logIn(response.authResponse);
			}
		} else if (response.status === 'not_authorized') {
			// The person is logged into Facebook, but not your app.
			document.getElementById('fb_status').innerHTML = 'Please log ' +
			  'into this app.';
			if (m_logInController) {
				m_logInController.logOut();
			}
		} else {
			// The person is not logged into Facebook, so we're not sure if
			// they are logged into this app or not.
			document.getElementById('fb_status').innerHTML = 'Please log ' +
			  'into Facebook.';
			if (m_logInController) {
				m_logInController.logOut();
			}
		}
	}
}
